@import "@/styles/variables";

.breadcrumb {
    grid-column: 1 / -1;
    display: inline-flex;
    min-width: 100%;
    gap: 0.5rem;
    height: max-content;
    z-index: 10;

    li {
        @include paragraph;

        opacity: 0.8;

        &:first-of-type {
            min-width: 1.25rem;
        }

        &:not(:first-of-type) {
            @include text-truncate;

            min-width: calc(100vw - 200px);

            @include notebook {
                min-width: calc(100vw - 600px);
            }

            @include desktop {
                min-width: unset;
            }

            &::before {
                @include dash-content;

                color: $primary-color-light;
                padding-right: 0.5rem;
            }
        }

        &:nth-of-type(2) {
            min-width: fit-content;
        }
    }

    a {
        text-decoration: none;
        color: $black;

        &:focus-visible {
            svg {
                border-bottom: 2px solid $secondary-color;
            }
        }
    }
}
